Subject: bug#50178: 28.0.50; Size of echo area does not account for line-spacing

From: Óscar Fuentes <[email-masked]>
Date: Tue, 24 Aug 2021 21:36:58 +0200

Eli Zaretskii <[email-masked]> writes:

>> One workround would be to locally set line-spacing to nil (overriding
>> the user's preferences), but this does not protect against other current
>> or future settings that might affect how the lines are rendered.
>
> Or it could calculate max-mini-window-height more accurately.

It must know and handle every setting that affects line height, current
and future. It would be handy if Emacs provided a function that does
that.